# -*- coding: utf-8 -*-
"""
/***************************************************************************
 multi_buffer_class
                                 A QGIS plugin
 This lugin creates multiple buffer zone in given distances
                             -------------------
        begin                : 2014-06-15
        copyright            : (C) 2014 by Riccardo Klinger / Hakima Elchahlafi
        email                : riccardo.klinger@digital-geography.com
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load multi_buffer_class class from file multi_buffer_class.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .multi_buffer_module import multi_buffer_class
    return multi_buffer_class(iface)
